org.apache.maven.scm.provider.git.command.update

## Class GitUpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.command.update.UpdateScmResultWithRevision
      - - org.apache.maven.scm.provider.git.command.update.GitUpdateScmResult

All Implemented Interfaces:
  Serializable

Deprecated.

    public class GitUpdateScmResult
    extends UpdateScmResultWithRevision

Version:
  $Id: GitUpdateScmResult.java 645182 2008-04-05 21:58:41Z jvanzyl $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GitUpdateScmResult(String commandLine, List updatedFiles, int revision)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResultWithRevision

`getRevision`

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

`getChanges, getUpdatedFiles, setChanges`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitUpdateScmResult

    public GitUpdateScmResult(String commandLine,
                      List updatedFiles,
                      int revision)

Deprecated.